;
; make Y transport in Sv at T point
;
FUNCTION make_ytran, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read V
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)

   v = nc_read(file_nam+'V.nc','vomecrty', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data)
   dim1v = (size(v.data))[1]
   dim2v = (size(v.data))[2]
   dim3v = (size(v.data))[3]

   idx = where(v.data EQ valmask)
   IF idx(0) NE -1 THEN v.data(idx) = 0.0

;  Transport along Y : try = v*e1t*e3t (Sv)

   e1t3d = reform(e1t[*]#replicate(1, jpk), jpi, jpj, jpk)
   e3t3d = reform(replicate(1, jpi*jpj)#e3t, jpi, jpj, jpk)
   try = v.data*e1t3d*e3t3d

   try = total(try, 1)
; Petite astuce qui regle des problemes de domdef. On fait en sorte
; de garder la dimension initiale du tableau 3D alors que 'total' nous
; en fait perdre une.
   trym = reform(replicate(1, dim1v)#reform(try, dim2v*dim3v), dim1v, dim2v, dim3v)

   field = {name: '', data: trym, legend: '', units: '', origin: '', dim: 0, direc:''}
   
   field.origin = v.origin
   field.dim = v.dim
   IF cmdm.spec NE '-' THEN BEGIN
   field.legend = ' ['+cmdm.date1+'-'+cmdm.spec+']'
   ENDIF ELSE  field.legend = ' ['+cmdm.date1+']'
   field.direc = v.direc
   return, field
END 
